import Promise from 'bluebird';
import isNode from 'detect-node';

var access = void 0,
    writeFile = void 0,
    readFile = void 0,
    W_OK = void 0;

if (isNode) {
  var fs = require('fs');
  access = fs.access;
  writeFile = fs.writeFile;
  readFile = fs.readFile;
  W_OK = fs.constants.W_OK;
}

export var checkAccess = filepath => new Promise((rs, rj) => access(filepath, W_OK, err => err == null ? rs() : rj(err)));

export var writeData = (filepath, data) => new Promise((rs, rj) => writeFile(filepath, data, err => err == null ? rs() : rj(err)));

export var readData = filepath => new Promise((rs, rj) => readFile(filepath, (err, data) => err == null ? rs(data.toString()) : rj(err)));

export var createFile = filepath => writeData(filepath, '{}');
//# sourceMappingURL=fixtures.js.map